#if !defined(AFX_OVERVIEWPROPERTIES_H__563260C3_05AF_4EAC_8290_9D8B9E3D789B__INCLUDED_)
#define AFX_OVERVIEWPROPERTIES_H__563260C3_05AF_4EAC_8290_9D8B9E3D789B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OverviewProperties.h : header file
//

#include "DefaultDialog.h"

/////////////////////////////////////////////////////////////////////////////
// COverviewProperties dialog

class COverviewProperties : public DefaultDialog
{
// Construction
public:
	COverviewProperties(ObjectManager *object_manager, DWORD *sflag, CWnd* pParent = NULL);   // standard constructor

	void Refresh();

// Dialog Data
	//{{AFX_DATA(COverviewProperties)
	enum { IDD = IDD_OVERVIEWPROPERTIES };
	CListBox	m_ShowList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COverviewProperties)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	DWORD *ShowFlag;
	ObjectManager *ObjMan;
	void UpdateShowList();
	void UpdateShowFlag();

	// Generated message map functions
	//{{AFX_MSG(COverviewProperties)
	afx_msg void OnClickShowShowList(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeShowList();
	afx_msg void OnHideall();
	afx_msg void OnShowall();
	afx_msg void OnClose();

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OVERVIEWPROPERTIES_H__563260C3_05AF_4EAC_8290_9D8B9E3D789B__INCLUDED_)
